<?php
	function cargar_datos ($filename) {
		return unserialize(file_get_contents($filename)); 
	}

	function cargar_datos_promociones () {
		return cargar_datos("promociones.dat"); 
	}

	function cargar_datos_temporadas () {
		return cargar_datos("temporadas.dat"); 
	}

	function cargar_datos_tarifas () {
		return cargar_datos("tarifas.dat"); 
	}

	function cargar_plantilla_cas () {
		return file_get_contents('./plantillas/tarifas_esp.htm');
	}

	function cargar_plantilla_eng () {
		return file_get_contents('./plantillas/tarifas_eng.htm');
	}

	function generar_pagina_tarifas_cas ($texto_tarifas_cas) {
		$fichero = fopen('../tarifas_esp.htm', 'w');	 
  		fwrite($fichero, $texto_tarifas_cas);
  		fclose($fichero);
	}

	function generar_pagina_tarifas_eng ($texto_tarifas_eng) {
		$fichero = fopen('../tarifas_eng.htm', 'w');	 
  		fwrite($fichero, $texto_tarifas_eng);
  		fclose($fichero);
	}

	function actualizar_promociones_cas ($promos, $fich_tarifas_cas) {
		$contenido = $fich_tarifas_cas;
		$contenido = str_replace('[TITULO_CAS_0]', $promos[0][TITULO_CAS], $contenido);		
		$contenido = str_replace('[TITULO_CAS_1]', $promos[1][TITULO_CAS], $contenido);		
		$contenido = str_replace('[TITULO_CAS_2]', $promos[2][TITULO_CAS], $contenido);		
		$contenido = str_replace('[TITULO_CAS_3]', $promos[3][TITULO_CAS], $contenido);		
		$contenido = str_replace('[TITULO_CAS_4]', $promos[4][TITULO_CAS], $contenido);		

		$contenido = str_replace('[PRECIO_CAS_0]', $promos[0][PRECIO_CAS], $contenido);		
		$contenido = str_replace('[PRECIO_CAS_1]', $promos[1][PRECIO_CAS], $contenido);		
		$contenido = str_replace('[PRECIO_CAS_2]', $promos[2][PRECIO_CAS], $contenido);		
		$contenido = str_replace('[PRECIO_CAS_3]', $promos[3][PRECIO_CAS], $contenido);		
		$contenido = str_replace('[PRECIO_CAS_4]', $promos[4][PRECIO_CAS], $contenido);		

		$contenido = str_replace('[TEXTO_CAS_0]', $promos[0][TEXTO_CAS], $contenido);		
		$contenido = str_replace('[TEXTO_CAS_1]', $promos[1][TEXTO_CAS], $contenido);		
		$contenido = str_replace('[TEXTO_CAS_2]', $promos[2][TEXTO_CAS], $contenido);		
		$contenido = str_replace('[TEXTO_CAS_3]', $promos[3][TEXTO_CAS], $contenido);		
		$contenido = str_replace('[TEXTO_CAS_4]', $promos[4][TEXTO_CAS], $contenido);		

		return $contenido;
	}

	function actualizar_promociones_eng ($promos, $fich_tarifas_eng) {
		$contenido = $fich_tarifas_eng;
		$contenido = str_replace('[TITULO_ENG_0]', $promos[0][TITULO_ENG], $contenido);		
		$contenido = str_replace('[TITULO_ENG_1]', $promos[1][TITULO_ENG], $contenido);		
		$contenido = str_replace('[TITULO_ENG_2]', $promos[2][TITULO_ENG], $contenido);		
		$contenido = str_replace('[TITULO_ENG_3]', $promos[3][TITULO_ENG], $contenido);		
		$contenido = str_replace('[TITULO_ENG_4]', $promos[4][TITULO_ENG], $contenido);		

		$contenido = str_replace('[PRECIO_ENG_0]', $promos[0][PRECIO_ENG], $contenido);		
		$contenido = str_replace('[PRECIO_ENG_1]', $promos[1][PRECIO_ENG], $contenido);		
		$contenido = str_replace('[PRECIO_ENG_2]', $promos[2][PRECIO_ENG], $contenido);		
		$contenido = str_replace('[PRECIO_ENG_3]', $promos[3][PRECIO_ENG], $contenido);		
		$contenido = str_replace('[PRECIO_ENG_4]', $promos[4][PRECIO_ENG], $contenido);		

		$contenido = str_replace('[TEXTO_ENG_0]', $promos[0][TEXTO_ENG], $contenido);		
		$contenido = str_replace('[TEXTO_ENG_1]', $promos[1][TEXTO_ENG], $contenido);		
		$contenido = str_replace('[TEXTO_ENG_2]', $promos[2][TEXTO_ENG], $contenido);		
		$contenido = str_replace('[TEXTO_ENG_3]', $promos[3][TEXTO_ENG], $contenido);		
		$contenido = str_replace('[TEXTO_ENG_4]', $promos[4][TEXTO_ENG], $contenido);		

		return $contenido;
	}

?>